

CarLowTrailer = {};

function CarLowTrailer.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end;

function CarLowTrailer:load(xmlFile)
end;

function CarLowTrailer:delete()
end;

function CarLowTrailer:readStream(streamId, connection)
end;

function CarLowTrailer:writeStream(streamId, connection)
end;

function CarLowTrailer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function CarLowTrailer:keyEvent(unicode, sym, modifier, isDown)
end;

function CarLowTrailer:update(dt)
end;

function CarLowTrailer:updateTick(dt)
	
	if self:getIsActive() then
			
		
		if self.isServer then
			-- Set joint rotation limit of ramp
			local animTime = self:getAnimationTime("moveRamp");
			local startTime = 0.3;
			if animTime > startTime and animTime < 1 then
				local limit = (animTime - startTime) / (1 - startTime) * math.rad(25);
				setJointRotationLimit(self.componentJoints[1].jointIndex, 0, true, -limit, limit);
			end;
			
		end;		

	end;
	
end;

function CarLowTrailer:draw()
end;
